import java.awt.event.*;

/**
 * This class represents the controller for the MVC lab.
 *     
 * */
public class Controller {
	private Model model;
	private MasterListView masterView;
	
	/** Creates new Controller */
	Controller (){
		//empty
	}
	
	private class DisplayButtonListener implements ActionListener {
		public void actionPerformed(ActionEvent actionEvent) {
			if (model == null) return; // No model associated. Do nothing.
			//get the index of the selected item
			int index = masterView.getMasterViewJList().getSelectedIndex();
			//update the sublist, add the selected contact to the sublist
			if (index > -1)
				model.setSubList(index);
		}
	}
	
	public void setModel (Model model) {
		this.model = model;
	}
	
	public void setView (MasterListView masterView) {
		//set the master view
		this.masterView = masterView;
		
		// Register listener

	}
}
